Name:           rudesocket
Version:        1.3.0
Release:        8%{?dist}
Summary:        Library (C++ API) for creating client sockets

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.rudeserver.com/socket
Source0:        http://homeless.fedorapeople.org/rudesocket/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
Requires:       openssl

%description
%{name} is a library provides client socket services to an application.
In addition to normal and SSL TCP connections, it supports 
proxies, SOCK4 and SOCKS5 servers. Furthermore, it allows you 
to chain proxies together.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
%{name} is a library provides client socket services to an application.
In addition to normal and SSL TCP connections, it supports 
proxies, SOCK4 and SOCKS5 servers. Furthermore, it allows you 
to chain proxies together. The %{name}-devel package 
contains libraries, header files, and documentation needed 
to develop C++ applications using %{name}. 

%prep
%setup -q

%build
%configure --disable-static --with-openssl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc 
%dir %{_includedir}/rude
%{_includedir}/rude/socket.h
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.3.0-6
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com>
- 1.3.0-3
- rebuild with new openssl

* Wed Feb 06 2008 Matt Flood <matt@rudeserver.com>
- 1.3.0-2
- Added missing include statement

* Wed Feb 06 2008 Matt Flood <matt@rudeserver.com>
- 1.3.0-1
- Replaced std c includes with c++ style includes

* Tue Jan 29 2008 Matt Flood <matt@rudeserver.com>
- 1.2.0-1
- Modified source code to facilitate windows builds
- Instead of configuring build to use openssl by default, 
  it now requires ./configure --with-openssl to include 
  openssl functionality

* Tue Jan 08 2008 Matt Flood <matt@rudeserver.com>
- 1.1.0-3
- Minor changes to build scripts

* Tue May 29 2007 Matt Flood <matt@rudeserver.com>
- 1.1.0-2
- Added Man Page
- Minor changes to build scripts

* Thu Apr 10 2006 Matt Flood <matt@rudeserver.com>
- 1.1.0-1
- First RPM Release

